#version 150

const vec4 color1=vec4(0.05,0.05,0.2,0.2);
const vec4 color2=vec4(0.5,0.5,0.8,0.9);

#include "ShaderFInterface.glsl"
#include "ShaderFFunctions.glsl"

void main(void) {
  float fogin=clamp(fog,0,1);

  out_Color =clamp((mix(fogcolor,I*marble(position),fogin)),0,1);
}	
